Bug 518850

Summary: SELinux is preventing yelp from changing a writable memory segment executable
Product: [Fedora] Fedora Reporter: faith <faithinfamilies>
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 11CC: mbarnes
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-23 13:22:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description faith 2009-08-23 11:19:17 EDT
Description of problem:  SELinux is preventing yelp from changing a writable memory segment executable


Version-Release number of selected component (if applicable):


How reproducible:  try to use Yelp


Steps to Reproduce:
1. click on Help
2.
3.
  
Actual results:


Expected results:


Additional info:

Summary:

SELinux is preventing yelp from changing a writable memory segment executable.

Detailed Description:

The yelp application attempted to change the access protection of memory (e.g.,
allocated using malloc). This is a potential security problem. Applications
should not be doing this. Applications are sometimes coded incorrectly and
request this permission. The SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. If yelp does not work and you need it to work, you can
configure SELinux temporarily to allow this access until the application is
fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust yelp to run correctly, you can change the context of the executable
to execmem_exec_t. "chcon -t execmem_exec_t '/usr/bin/yelp'". You must also
change the default file context files on the system in order to preserve them
even on a full relabel. "semanage fcontext -a -t execmem_exec_t '/usr/bin/yelp'"

Fix Command:

chcon -t execmem_exec_t '/usr/bin/yelp'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0
Target Objects                None [ process ]
Source                        thunderbird-bin
Source Path                   /usr/lib/thunderbird-3.0b2/thunderbird-bin
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           yelp-2.26.0-6.fc11
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-69.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmem
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.29.6-213.fc11.i586
                              #1 SMP Tue Jul 7 20:45:17 EDT 2009 i686 i686
Alert Count                   68
First Seen                    Thu 23 Jul 2009 03:39:38 PM EDT
Last Seen                     Fri 07 Aug 2009 09:51:22 PM EDT
Local ID                      c56a2c01-9db4-4e06-8222-c101fd601b06
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1249696282.694:3095): avc:  denied  { execmem } for  pid=29635 comm="yelp" scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0 tclass=process

node=localhost.localdomain type=SYSCALL msg=audit(1249696282.694:3095): arch=40000003 syscall=192 success=no exit=-13 a0=0 a1=2000 a2=7 a3=22 items=0 ppid=1 pid=29635 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="yelp" exe="/usr/bin/yelp" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)
Comment 1 Matthew Barnes 2009-08-23 13:22:00 EDT

*** This bug has been marked as a duplicate of bug 507023 ***